%define major 		4
%define gmajor		1.0
%define libname		%mklibname mbim-glib %{major}
%define girname		%mklibname mbim-gir %{gmajor}
%define develname	%mklibname mbim-glib -d

Name:		libmbim
Version:	1.28.4
Release:	%mkrel 1
Summary:	MBIM modem protocol helper library
License:	GPLv2
Group:		System/Libraries
URL:		https://gitlab.freedesktop.org/mobile-broadband/libmbim/
Source0:	https://gitlab.freedesktop.org/mobile-broadband/libmbim/-/archive/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  meson >= 0.53
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM shared libraries.


%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	mbim-devel = %{version}-%{release}
Provides:	mbim-glib-devel = %{version}-%{release}

%description -n	%{develname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM header files and development libraries.

%package utils
Summary:	MBIM command line utilities
License:	GPLv2
Group:		System/Base

%description utils
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM command line utilities.

%prep
%setup -q

%build
%meson -Dgtk_doc=false -Dbash_completion=false
%meson_build

%install
%meson_install

find %{buildroot} -type f -name "*.la" -delete
mkdir -p %{buildroot}%{_datadir}/bash-completion
cp -a src/mbimcli/mbimcli %{buildroot}%{_datadir}/bash-completion


%files -n %{libname}
%{_libdir}/%{name}-glib.so.%{major}{,.*}
%{_libdir}/girepository-1.0/Mbim-%{gmajor}.typelib

%files -n %{develname}
%{_includedir}/%{name}-glib/
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/mbim-glib.pc
%{_datadir}/gir-1.0/Mbim-%{gmajor}.gir

%files utils
%{_bindir}/mbimcli
%{_bindir}/mbim-network
%{_datadir}/bash-completion/mbimcli
%{_libexecdir}/mbim-proxy
%{_mandir}/man1/mbimcli.1*
%{_mandir}/man1/mbim-network.1*


%changelog
* Mon Sep 04 2023 tex - 1.28.4-1pclos2023
- new version: 1.28.4
